WordPress.org

Support

Support » Plugins and Hacks » [Plugin: ReciPress] Error In Latest 1.9 Release

[Plugin: ReciPress] Error In Latest 1.9 Release

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Tammy Hart

    @tammyhart

    Is it upgrading at all? Or just quitting with this message?

    Thank you for the response Tammy. Yes, the upgrade does indeed finish just fine. The message appears only after the install and reactivation of the plugin.

    Plugin Author Tammy Hart

    @tammyhart

    I am not getting this error in any of my tests. Try removing the plugin completely and reinstalling. It may be an installation error.

    This bug happens if someone types in an ingredient that wasn’t previously saved in the database.

    I changed the code in functions.php like this:

    if (isset($the_ingredient)){
                        $term = get_term_by('name', $the_ingredient, 'ingredient');
                        if($term)
                            $output .= '<span class="name"><a href="'.get_term_link($term->slug, 'ingredient').'">'.$the_ingredient.'</a></span> ';
                        else
                            $output .= '<span class="name">'.$the_ingredient.'</span> ';
                    }

    The main difference is that $term is checked for null before being used. I figure the ingredient should be allowed to be printed, and just doesn’t have a link.

    Plugin Author Tammy Hart

    @tammyhart

    the 1.9.1 release does something similar.

    Tammy, that update did the trick. Thank you again for everything. Very much appreciated. 🙂

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘[Plugin: ReciPress] Error In Latest 1.9 Release’ is closed to new replies.